
-- Create the addon object and register it with Apollo in a single line
local PrestigeWatcher = Apollo.GetPackage("Gemini:Addon-1.1").tPackage:NewAddon("PrestigeWatcher", false)
local Timer
local Timer1
local Timer2
local pAmount
local pAchieved = 0

local pCurrency =		-- Modified alt currency table;
{
	{eType = Money.CodeEnumCurrencyType.Prestige, 			strTitle = Apollo.GetString("CRB_Prestige"), 			strDescription = Apollo.GetString("CRB_Prestige_Desc")}
}

-- Replaces PrestigeWatcher:OnLoad
function PrestigeWatcher:OnInitialize()
  -- do init tasks here, like setting default states
  -- or setting up slash commands.

  -- Currently there is no default provided way to do any kind of Print to screen prior to the ChatLog having
  -- loaded.  GeminiLogging could be used here but that would complicate the example.
end

-- Called when player has loaded and entered the world
function PrestigeWatcher:OnEnable()
  -- Do more initialization here, that really enables the use of your addon.
  -- Register Events, Hook functions, Create Frames, Get information from 
  -- the game that wasn't available in OnInitialize.  Here you can Load XML, etc.

  -- Just like in OnInitialize the ChatLog has not loaded at this point so Print is still not possible.
  -- So that this addon does actually print something we'll delay for 1 second then Print.
  -- NOTE: On really slow machines this may still fail as they will still not have loaded ChatLog
  Timer = ApolloTimer.Create(1, false, "DelayedLoad", self)

end

function PrestigeWatcher:DelayedLoad()
  Print("PrestigeWatcher loaded...")

  pData = pCurrency[1]

  self.wndMain = Apollo.LoadForm("PrestigeWatcher.xml", "PrestigeWatcherForm", nil, self)
  self.wndMain:FindChild("Amount"):SetMoneySystem(pData.eType)
  self.wndMain:FindChild("Amount"):SetAmount(GameLib.GetPlayerCurrency(pData.eType):GetAmount(), true)

  Timer1 = ApolloTimer.Create(0.5, true, "PCheck", self)

end

function PrestigeWatcher:PCheck()
  pAmount = GameLib.GetPlayerCurrency(pCurrency[1].eType):GetAmount()
  self.wndMain:FindChild("Amount"):SetAmount(GameLib.GetPlayerCurrency(pData.eType):GetAmount(), true)

  if pAmount == 5000 then
	if pAchieved == 0 then
      pAchieved = 1
	  self.wndMain:FindChild("PopText"):Invoke()
	  self.wndMain:FindChild("RedText"):Invoke()
	  Sound.Play(161)
	  Timer2 = ApolloTimer.Create(5, false, "PopHide", self)
	end
  end

  if pAchieved == 1 then
	if pAmount < 5000 then
	  pAcheived = 0
	  self.wndMain:FindChild("RedText"):Close()
	end
  end

end

function PrestigeWatcher:PopHide()
  self.wndMain:FindChild("PopText"):Close()
end

function PrestigeWatcher:OnDisable()
  -- Unhook, Unregister Events, Hide/destroy windows that you created.
  -- You would probably only use an OnDisable if you want to 
  -- build a "standby" mode, or be able to toggle modules on/off.
end